import * as path from 'path';
import { getOptions } from 'loader-utils';
import { createKeyFromPath } from '../webpack/helpers';
export default function loader(source, data) {
    if (!source || !data) {
        return source;
    }
    const options = getOptions(this);
    const filePath = path.relative(this._compiler.options.context, data.file);
    const key = createKeyFromPath(filePath);
    if (options[key]) {
        this.emitFile(options[key].fileName, source, null);
    }
    this.callback(null, source, data);
    return undefined;
}
//# sourceMappingURL=TypeScriptResourcesLoader.js.map