import del from 'del';
import { globbySync } from 'globby';
import ForkTsCheckerWebpackPlugin from 'fork-ts-checker-webpack-plugin';
export class ClearCssModuleDefinitionsPlugin {
    constructor(options) {
        this.options = options;
        this.deleted = false;
    }
    apply(compiler) {
        const hooks = ForkTsCheckerWebpackPlugin.getCompilerHooks(compiler);
        hooks.issues.tap('ClearCssModuleDefinitionsPlugin', (issues) => {
            if (!this.deleted) {
                let files = globbySync(['src/**/*.module.scss.d.ts'], { cwd: this.options.rootFolder });
                files = files.map(f => f.replace('module.scss.d.ts', 'module.scss.ts'));
                del.sync(files, { cwd: this.options.rootFolder });
                this.deleted = true;
            }
            return issues;
        });
    }
}
//# sourceMappingURL=ClearCssModuleDefinitionsPlugin.js.map