import * as path from 'path';
import { createResourcesMap, getJSONFile } from '../webpack/helpers';
export class TypeScriptResourcesPlugin {
    constructor() {
        this.entryName = 'ts-resources';
        const config = getJSONFile('config/config.json');
        this.resourcesMap = createResourcesMap(config.localizedResources);
    }
    apply(compiler) {
        const allKeys = Object.keys(this.resourcesMap);
        if (!(allKeys === null || allKeys === void 0 ? void 0 : allKeys.length)) {
            return;
        }
        compiler.options.entry[this.entryName] = path.resolve(__dirname, '../loaders', 'TypeScriptResourcesEntryLoader!');
        const tsLoader = compiler.options.module.rules[0].use[0];
        compiler.options.module.rules[0].use = [
            {
                loader: require.resolve('../loaders/TypeScriptResourcesLoader'),
                options: this.resourcesMap
            },
            Object.assign({}, tsLoader)
        ];
    }
}
//# sourceMappingURL=TypeScriptResourcesPlugin.js.map