import { getJSONFile, setDefaultServeSettings } from '../webpack/helpers';
import { applyFullScreenErrors } from './fullScreenErrors';
import { applyhotRefresh } from './hotRefresh';
import { applyLoggingLevel } from './loggingLevel';
import { applyOpenUrlSetting } from './openUrl';
export function applyServeSettings(config) {
    const settings = getJSONFile('fast-serve/config.json');
    setDefaultServeSettings(settings);
    applyOpenUrlSetting(config, settings.serve);
    applyFullScreenErrors(config, settings.serve);
    applyLoggingLevel(config, settings.serve);
    applyhotRefresh(config, settings.serve);
}
//# sourceMappingURL=index.js.map