var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
import { resultConfig } from './configureWebPack';
import Webpack from 'webpack';
import WebpackDevServer from 'webpack-dev-server';
export function startDevServer() {
    return __awaiter(this, void 0, void 0, function* () {
        const config = yield resultConfig();
        const compiler = Webpack(config);
        const server = new WebpackDevServer(compiler, config.devServer);
        server.listen(config.devServer.port, config.devServer.host, (err) => {
            if (err) {
                console.log('An error occured while running web pack dev server. Details:');
                console.log(err);
            }
        });
    });
}
//# sourceMappingURL=devServer.js.map